DES Class Reference

DES More...

`#include <des.h>`

Inheritance diagram for DES:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Base > | Encryption
typedef BlockCipherFinal< DECRYPTION, Base > | Decryption

## Static Public Member Functions

static bool | CheckKeyParityBits (const byte *key)
| check DES key parity bits
static void | CorrectKeyParityBits (byte *key)
| correct DES key parity bits
static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

DES

The DES implementation in Crypto++ ignores the parity bits (the least significant bits of each byte) in the key. However you can use CheckKeyParityBits() and CorrectKeyParityBits() to check or correct the parity bits if you wish.

Definition at line 36 of file des.h.

The documentation for this class was generated from the following file:

- des.h